/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { IModule } from "../module.interface";
export interface IRegistrable {
    name?: string;
    dependencies?: Array<string | Function>;
    module?: IModule;
}
export declare const registrableMetadataKey = "$registrableMetadata";
export declare function getRegistrableName(constructor: Function): string;
export declare function getRegistrableInfo<T>(constructor: Function): IRegistrable;
