/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { ServiceBase } from "./base.service";
import { AlertService } from "./alert.service";
import { LoggingService } from "./logging.service";
export declare class ExceptionService extends ServiceBase {
    private alertService;
    private logger;
    constructor(alertService: AlertService, logger: LoggingService);
    processException(exception: Error, cause: string): void;
    static factory(alertService: AlertService, logger: LoggingService): (exception: Error, cause: string) => void;
}
